
.search-bar {
    display: grid;
    justify-items: flex-end;
    align-items: stretch;
    grid-template-columns: 1fr;
    gap: 0 5px;
}

.search-bar :is(input, select) {
    padding: 12px;
    width: 100%;
    display: block;
    font-size: 16px;
    border-radius: 5px;
    background-color: rgb(248, 248, 248);
    transition: all 400ms;
    border: 1px solid var(--border-color);
}

html.dark .search-bar :is(input, select) {
    background-color: #202020;
    border: 1px solid var(--border-color);
    color: rgb(240, 240, 240);
}

.search-bar input {
    padding: 12px 15px 12px 40px;
    background-size: 15px 15px;
    background-repeat: no-repeat;
    background-position: 13px 17px;
    background-image: url(/images/search-icon.png);
}

html.dark .search-bar input {
    background-image: url(/public/images/search-icon-dark-theme.png);
}

.search-bar .btn-cancel-search {
    text-align: center;
    padding: 5px;
    display: flex;
    align-items: center;
    margin: 0px 6px;
    border-radius: 6px;
    display: none;
    font-size: 12px;
    background-color: transparent;
    cursor: pointer;
}